{ helpers, ... }:

{
  plugins.telescope = {
    enable = true;
  };
  keymaps = [
    {
      mode = [ "n" "i" ];
      key = "<C-p>";
      action = helpers.mkRaw ''
        function()
          require("telescope.builtin").find_files()
        end
      '';
      options = {
        desc = "Find files with telescope";
      };
    }
  ];
}
